#include <stdio.h>
#include <stdlib.h>

int main()
{
    int s = 0, N, Q;
    printf("Unesi broj pronalazenja plazme:");
    scanf("%d", &N);
    printf("Unesi broj pitanja:");
    scanf("%d", &Q);

    int d[N], p[N], k[Q];
    for (int i = 0; i < N; i++) {
        printf("Kog dana je otac bio u prodavnci:");
        scanf("%d", &d[i]);
        printf("Koliko pakovanja je kupio:");
        scanf("%d", &p[i]);
    }

    for (int j = 0; j < Q; j++) {
        printf("Kog dana je cerka prestala da jede plazmu:");
        scanf("%d", &k[j]);
    }

    for (int j = 0; j < Q; j++) {
        int zd = k[j],s= 0,brp= 0;
        for (int i = 0; i < N; i++) {
            if (d[i] > zd)
            {
                break;
            }
            brp+= p[i];
            int pd;
            if (i == N - 1 || d[i + 1] > zd) {
    pd = zd - d[i] + 1;
}
 else {
    pd = d[i + 1] - d[i];
}

            if (pd > brp) {
                s+= brp;
                brp = 0;
            } else {
                s += pd;
                brp -= pd;
            }
        }

        printf("Cerka je pojela %d pakovanja do %d. dana.", s, zd);
    }

    return 0;
}